package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.MineLiveCourseListBean;
import com.cooleshow.teacher.bean.TeacherUserInfo;

/**
 * 创建日期：2022/5/19 15:16
 *
 * @author Ryan
 * 类说明：
 */
public interface MineLiveCourseContract {
    interface MineLiveCourseView extends BaseView {
        void queryPageCourseGroupSuccess(int page, MineLiveCourseListBean data);

        void queryPageCourseGroupError(int page);

        void getTeacherInfoSuccess(TeacherUserInfo data);
    }

    interface Presenter {
    }
}
